aboutsummaryrefslogtreecommitdiffhomepage
path: root/examples/data/scripts/history.sh
diff options
context:
space:
mode:
Diffstat (limited to 'examples/data/scripts/history.sh')
-rwxr-xr-xexamples/data/scripts/history.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/examples/data/scripts/history.sh b/examples/data/scripts/history.sh
index b8a15e0..0561fe9 100755
--- a/examples/data/scripts/history.sh
+++ b/examples/data/scripts/history.sh
@@ -2,6 +2,6 @@
. $UZBL_UTIL_DIR/uzbl-dir.sh
-[ -w "$UZBL_HISTORY_FILE" ] || exit 1
+[ -w "$UZBL_HISTORY_FILE" ] || [ ! -a "$UZBL_HISTORY_FILE" ] || exit 1
echo $(date +'%Y-%m-%d %H:%M:%S')" $6 $7" >> $UZBL_HISTORY_FILE